package com.adealink.weparty.order.data

import com.adealink.frame.network.data.PageReq
import com.adealink.weparty.module.order.data.OrderDetailInfo
import com.google.gson.annotations.GsonNullable
import com.google.gson.annotations.SerializedName


data class PlaymateOrderListReq(
    @SerializedName("status") val status: Int = -1, //-1:全部状态
    @SerializedName("page") val page: PageReq,
)


data class PlaymateOrderListRes(
    @SerializedName("list") val list: List<OrderDetailInfo>,
    @GsonNullable
    @SerializedName("next") val next: String?,
)


data class PlaymateOrderListItemData(
    var data: OrderDetailInfo
)


data class UserOrderListReq(
    @SerializedName("status") val status: Int = -1, //-1:全部状态
    @SerializedName("page") val page: PageReq,
)


data class UserOrderListRes(
    @SerializedName("list") val list: List<OrderDetailInfo>,
    @GsonNullable
    @SerializedName("next") val next: String?,
)


data class UserOrderListItemData(
    var data: OrderDetailInfo
)


data class CreateOrderReq(
    @SerializedName("skillId") val id: String, //陪玩技能
    @SerializedName("purchaseQty") val purchaseQty: Int, //	购买数量
    @SerializedName("remark") val remark: String? = null, //	客户备注
    @SerializedName("source") val source: Int = 0, // 来源(0:普通，1:派单厅)
)

data class CompleteOrderReq(
    @SerializedName("id") val id: String, //订单ID
)

data class CancelOrderReq(
    @SerializedName("id") val id: String, //订单ID
)

data class EvaluateOrderReq(
    @SerializedName("orderId") val id: String, //订单ID
    @SerializedName("star") val star: String, //评分(仅支持, 0.5, 1, 1,5, 2, 2.5 ....)
    @SerializedName("comment") val comment: String, //评价
)

data class OrderDiscountData(
    @SerializedName("hasChance") val hasDiscount: Boolean, //当前是否有首单折扣机会
    @SerializedName("discountRate") val discountRate: Float, //当前首单折扣率（例如0.1表示1折）
    @SerializedName("eligiblePrice") val price: Float, //可参与优惠的SKU单价（金币）
)